TikTok Shop

The filters and sort orders Discover creators takes

GET/api/public/v1/tik_tok_shop/creators/discover/filters
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopDiscoverFilters

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/discover/filters" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
optionsarray of objectrequired
options[].[].optionTypestring
options[].[].optionsarray of object
options[].[].options[].[].childrenarray of object
options[].[].options[].[].children[].[].idstring
options[].[].options[].[].children[].[].namestring, nullable
options[].[].options[].[].idstring
options[].[].options[].[].namestring, nullable
semanticsobjectrequired
sortersarray of objectrequired
sorters[].[].algorithmIdstring
sorters[].[].namestring, nullable

Example

{
  "options": [
    {
      "optionType": "string",
      "options": [
        {
          "children": [
            null
          ],
          "id": "string",
          "name": "Example name"
        }
      ]
    }
  ],
  "semantics": {},
  "sorters": [
    {
      "algorithmId": "string",
      "name": "Example name"
    }
  ]
}

Errors: 401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.